Package org.codehaus.groovy.antlr

# Class AntlrASTProcessSnippets

java.lang.Object
org.codehaus.groovy.antlr.AntlrASTProcessSnippets

All Implemented Interfaces:
  `AntlrASTProcessor`

public class AntlrASTProcessSnippets extends Object implements AntlrASTProcessor

## Constructor Summary

Constructors
Constructor
Description
`AntlrASTProcessSnippets()`

## Method Summary

Modifier and Type
Method
Description
`antlr.collections.AST`
`process(antlr.collections.AST t)`
decorate antlr AST with ending line/col info, and if possible the snippet of source from the start/end line/col for each node.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AntlrASTProcessSnippets

public AntlrASTProcessSnippets()

## Method Details

### process

public antlr.collections.AST process(antlr.collections.AST t)
decorate antlr AST with ending line/col info, and if possible the snippet of source from the start/end line/col for each node.

Specified by:
  `process` in interface `AntlrASTProcessor`
Parameters:
  `t` - the AST to decorate
Returns:
  the decorated AST